# Anleitung fuer Artikel

## Grundlegendes

Jeder Artikel ist ein Ordner der in den Ordnern `content/events` `content/news` oder `content/bunteshaus` liegen kann.  
Dadrin muss sich mindestens eine `index.*.md` Datei befinden und ggf. noch Bilder, die den Artikel illustrieren.  
Das Sternchen steht dabei fuer `de`, `ku` oder `en`. Dieses steht für die Übersetzung des Artikels.

Ein Beispiel sieht so aus:

```
--content/events/23.12.2323-Konzert
		|_ index.de.md
		|_ index.en.md
		|_ 1.jpg
```
Ein [Echtweltbeispiel](https://schlomp.space/Bunteshaus/bunteshaus.de/src/branch/main/content/events/06.11.2021-konzert).

Eine Methode ist, einen Artikel auf Deutsch anzulegen (`index.de.md`), diese Datei zu `index.ku.md` kopieren und dann den [Inhalt](https://schlomp.space/Bunteshaus/bunteshaus.de#inhalt) anzupassen 

## Metadaten

```
 1 ---
 2 title: "Testtitel"
 3 date: 2021-10-23T18:15:19+02:00
 4 featured: false
 5 when: "Jeden Montag, 19Uhr"
 6 recurrent: false
 7 register: "mail@bunteshaus.de"
 8 covid: "3G"
 9 price: "3€"
10 categories: "Konzert"
11 tags: ["Interpretin 1", "Interpretin 2", "Interpret 3"]
12 ---
13 Endlich wieder Konzerte und den Auftakt macht Testtitel!

```

Alles zwischen Zeile 1 und 12 sind die Metadaten.  
Zeile 2 ist der Titel, wie er auf der Homepage auftauchen wird.  
Zeile 3 ist das Datum und die Zeit (und Zeitzone (`+02:00`)), an dem der Artikel erstellt wird.  
Zeile 4 kann benutzt werden, um den Artikel prominent zu Platzieren. (Pressemitteilungen etc.)  
Zeile 5 kann benutzt werden, um einen Artikel als Termin zu deklarieren.  
Zeile 6 markiert einen Artikel als regelmässigen Termin, wenn da `true` steht. (Muss ohne `""` sein.)  
Zeile 7 ist die Email Adresse, wenn eine Anmeldung erwünscht ist. Vor allem während Covid sinnvoll.  
Zeile 8 gibt an, welche Covid Regeln zur Zeit gelten.  
Zeile 9 kann benutzt werden um die Kosten des Termin anzugeben. Füllbar mit Text ("Spenden"), einem Wert ("3€" oder "free")  
Zeile 10 kann angegeben werden, um die Kategorie des Artikels zu bestimmen. Zum Beispiel "Konzert" oder "Party" oder "Bunteshaus" (Bitte nur eine Kategorie)  
Zeile 11 wird benutzt, um Inhalte zu taggen. Wenn "Interpretin 1" in verschiedenen Artikeln auftaucht, kann man auf der Homepage danach filtern.  

**Die Zeilen 4-11 weglassen, wenn sie nicht benutzt werden.**

## Inhalt

Ab Zeile 13 ist der Inhalt des Artikels:  

Soll eine Überschrift im Text passieren, schreibe `##` davor. Eine Unterüberschrift geht mit `###`
Soll etwas **fett** geschrieben werden, schreibe `**` davor und dahinter.  
Soll eine neue Zeile angefangen werden, schreibe zwei Leerzeichen hinter den Satz.  
Soll ein Absatz gemacht werden, lasse eine Zeile zwischen Absatz 1 und Absatz 2 frei.  
Eine Link kann einfach geschrieben werden, allerdings kann man diesen auch gestalten:  
`[Bunteshaus](https://bunteshaus.de)` wird [Bunteshaus](https://bunteshaus.de)  

## Hilfsprogramm

Installiere dir `git` und `hugo` in deinem Linux und mach dir hier einen Account.  
Danach "forkst" du dieses Projekt in deinen Account (oben rechts) und klonst das Projekt auf deinen Rechner.  
Dann kannst du im Hauptordner des Projektes beispielsweise `hugo new events/80.12.2330-Konzert/index.de.md` ausführen und es wird der Ordner und die Standarddaten, wie oben beschrieben, in die Datei `index.de.md` geschrieben.  
Dann kannst du die Datei in einem Standardprogramm verändern.
Wenn du damit zufrieden bist, machst du einen beschreibenden Commit und einen Pullrequest auf dieses Projekt und ein Admin wird benachrichtigt.  
Wenn dein Artikel fertig ist, wird er in dieses Projekt gemerged und ist damit online!

Diese Anleitung ist nur ein grober Überblick.
